org.eclipse.wst.jsdt.chromium

## Enum DebugContext.State

- java.lang.Object
- - java.lang.Enum<DebugContext.State>
  - - org.eclipse.wst.jsdt.chromium.DebugContext.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DebugContext.State>

Enclosing interface:
  DebugContext

    public static enum DebugContext.State
    extends java.lang.Enum<DebugContext.State>

The suspension state.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXCEPTION` A suspension due to an exception.
`NORMAL` A normal suspension (a step end or a breakpoint).

### Method Summary

All Methods Static Methods Concrete Methods
`static DebugContext.State` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DebugContext.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NORMAL

    public static final DebugContext.State NORMAL

A normal suspension (a step end or a breakpoint).

#### EXCEPTION

    public static final DebugContext.State EXCEPTION

A suspension due to an exception.

### Method Detail

#### values

    public static DebugContext.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DebugContext.State c : DebugContext.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DebugContext.State valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null